Get presence of users belonging to a site
GET /internal/admin/comms/v1/user-presence/{siteName}
Operation id: get__internal_admin_comms_v1_user_presence_siteName_
Description
Get presence of users belonging to a site
Tags: User Presence
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
siteName | string | Yes | Site Name |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | page number |
pageSize | integer | No | page size (Default - 20, Max - 50) |
tenantId | string | Yes | Tenant ID |
Security
- BearerAuth (http / bearer)
- Enter the token
Responses
200 — OK
Content type: application/json
400 — Bad Request
Content type: application/json
401 — Unauthorized
Content type: application/json
403 — Forbidden
Content type: application/json
404 — Not Found
Content type: application/json
500 — Internal Server Error
Content type: application/json
Response models
200 — OK
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
statusCode | integer | No | |
presences | array | No |
{
"type": "object",
"properties": {
"statusCode": {
"type": "integer"
},
"presences": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userLogin": {
"type": "string"
},
"presence": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
}
}
}
}
}
400 — Bad Request
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
statusCode | integer | No | |
details | string | No |
{
"type": "object",
"properties": {
"statusCode": {
"type": "integer"
},
"details": {
"type": "string"
}
}
}
401 — Unauthorized
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
Code | integer | No | |
Message | string | No |
{
"type": "object",
"properties": {
"Code": {
"type": "integer",
"example": 0
},
"Message": {
"type": "string"
}
}
}
403 — Forbidden
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
statusCode | integer | No | |
details | string | No |
{
"type": "object",
"properties": {
"statusCode": {
"type": "integer"
},
"details": {
"type": "string"
}
}
}
404 — Not Found
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
statusCode | integer | No | |
details | string | No |
{
"type": "object",
"properties": {
"statusCode": {
"type": "integer"
},
"details": {
"type": "string"
}
}
}
500 — Internal Server Error
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
statusCode | integer | No | |
details | string | No |
{
"type": "object",
"properties": {
"statusCode": {
"type": "integer"
},
"details": {
"type": "string"
}
}
}